Skip to main content
GET
/
market-data
/
markets
/
{code}
/
status
Get live market status
curl --request GET \
  --url https://service.bluumfinance.com/v1/market-data/markets/{code}/status \
  --header 'Authorization: Basic <encoded-value>'
{
  "status": "success",
  "data": {
    "code": "XNSA",
    "isOpen": true,
    "timezone": "Africa/Lagos",
    "commonCode": "NGX",
    "nextOpen": "2023-11-07T05:31:56Z",
    "nextClose": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.bluumfinance.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using the API Key as username and API Secret as password.

Path Parameters

code
string
required

Response

Market status

status
string
Example:

"success"

data
object